local ____lualib = require("lualib_bundle")
local __TS__Class = ____lualib.__TS__Class
local __TS__ClassExtends = ____lualib.__TS__ClassExtends
local ____exports = {}
local ____isaac_2Dtypescript_2Ddefinitions = require("isaac-typescript-definitions")
local ModCallback = ____isaac_2Dtypescript_2Ddefinitions.ModCallback
local ____gridEntitiesSpecific = require("src.functions.gridEntitiesSpecific")
local getPits = ____gridEntitiesSpecific.getPits
local ____shouldFire = require("src.shouldFire")
local shouldFirePit = ____shouldFire.shouldFirePit
local ____CustomCallback = require("src.classes.private.CustomCallback")
local CustomCallback = ____CustomCallback.CustomCallback
____exports.PostPitUpdate = __TS__Class()
local PostPitUpdate = ____exports.PostPitUpdate
PostPitUpdate.name = "PostPitUpdate"
__TS__ClassExtends(PostPitUpdate, CustomCallback)
function PostPitUpdate.prototype.____constructor(self)
    CustomCallback.prototype.____constructor(self)
    self.shouldFire = shouldFirePit
    self.postUpdate = function()
        for ____, pit in ipairs(getPits(nil)) do
            self:fire(pit)
        end
    end
    self.callbacksUsed = {{ModCallback.POST_UPDATE, self.postUpdate}}
end
return ____exports
